Bug 17081 - Incorrect comparison operator used in edifactmsgs.pl
Summary: Incorrect comparison operator used in edifactmsgs.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Colin Campbell
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-08 15:08 UTC by Colin Campbell
Modified: 2017-12-07 22:17 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (861 bytes, patch)
2016-08-08 15:17 UTC, Colin Campbell
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17081 Incorrect comparison operator used in edifactmsgs.pl (1.30 KB, patch)
2016-08-09 16:32 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 17081 Incorrect comparison operator used in edifactmsgs.pl (1.31 KB, patch)
2016-08-09 22:17 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2016-08-08 15:08:59 UTC
numeric comparison operator used where string comparison required, results in following warning in the log:
Argument "delete" isn't numeric in numeric eq (==) at /usr/share/koha/intranet/cgi-bin/acqui/edifactmsgs.pl line 42
Comment 1 Colin Campbell 2016-08-08 15:17:32 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-08-09 16:32:18 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-08-09 22:17:13 UTC
Created attachment 54248 [details] [review]
[PASSED QA] Bug 17081 Incorrect comparison operator used in edifactmsgs.pl

Numeric comparison operator is used where string comparison required,
resulting in the following warning in the log: 'Argument "delete" isn't
numeric in numeric eq (==).'

This patch corrects it to use 'eq' not '==' to compare strings.

To test, apply the patch and go to Acquisitions -> EDIFACT messages.

Delete an EDIFACT message. There should be no error in the error log.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Kyle M Hall 2016-08-10 14:03:44 UTC
Pushed to master for 16.11, thanks Colin!
Comment 5 Frédéric Demians 2016-08-23 10:00:54 UTC
Pushed in 16.05. Will be in 16.05.03.